Subject: Re: [PPC] Boot problems after the pci-v6.18-changes

From: Herve Codina <[email-masked]>
Date: Wed, 15 Oct 2025 15:34:42 +0200

Hi Christian,

On Wed, 15 Oct 2025 15:14:28 +0200
Christian Zigotzky <[email-masked]> wrote:

> > Am 15 October 2025 at 02:59 pm, Herve Codina <[email-masked]> wrote:
> > 
> > Also when it boots, it is not easy to know about the problem root cause.
> > 
> > In my case, it was not obvious to make the relationship on my side between
> > my ping timings behavior and ASPM.
> > 
> > Of course 'git bisect' helped a lot but can we rely on that for the average
> > user?
> > 
> > Best regards,
> > Hervé  
> 
> I think I will revert these modifications for the RC2.

I don't know what is the future of those modifications but maybe instead
of fully reverting them, maybe you could perform calls to
 - pcie_clkpm_override_default_link_state() and
 - pcie_aspm_override_default_link_state()
only if a new Kconfig symbol is enabled.

Of course this symbols will be disabled by default but if you want some
people to test behavior, it could be interesting to have the code
available in the kernel.

I don't know, this was just an idea.

Of course, reverting the patch is simpler than adding this new Kconfig
symbol.

Best regards,
Hervé